Public Member Functions | Data Fields

# CYapfRailSegmentKey Struct Reference

key for cached segment cost for rail YAPF More...

`#include <yapf_node_rail.hpp>`

## Public Member Functions
| CYapfRailSegmentKey (const CYapfRailSegmentKey &src)
| CYapfRailSegmentKey (const CYapfNodeKeyTrackDir &node_key)
void | Set (const CYapfRailSegmentKey &src)
void | Set (const CYapfNodeKeyTrackDir &node_key)
int32 | CalcHash () const
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
bool | operator== (const CYapfRailSegmentKey &other) const
void | Dump (DumpTarget &dmp) const
## Data Fields
uint32 | m_value

## Detailed Description

key for cached segment cost for rail YAPF

Definition at line 16 of file yapf_node_rail.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_rail.hpp